meldung beim installation von neue kernel

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Antworten
tux123
Member
Member
Beiträge: 113
Registriert: 11. Mai 2005, 09:25

meldung beim installation von neue kernel

Beitrag von tux123 » 21. Nov 2005, 22:29

ich bekomme diese meldung wenn ich den kernel mit apt update von kernel-of-the-day

Code: Alles auswählen

20:kernel-default         ########################################### [ 57%]

WARNING: nVidia kernel interface (nv-linux.o) or nVidia binary-only
         part (nv-kernel.o) is missing.

Missing file(s):
 /lib/modules/scripts/nvidia/2.6.14.2-20051120143452-default/nv-linux.o-1.0-7676
 /lib/modules/scripts/nvidia/nv-kernel.o-1.0-7676

/lib/modules/scripts/nvidia.sh failed.
Setting up /lib/modules/2.6.14.2-20051120143452-default
Root device:    /dev/sda3 (mounted on / as reiserfs)
Module list:    amd74xx sata_nv processor thermal fan reiserfs

Kernel image:   /boot/vmlinuz-2.6.14.2-20051120143452-default
Initrd image:   /boot/initrd-2.6.14.2-20051120143452-default
Shared libs:    lib64/ld-2.3.5.so lib64/libblkid.so.1.0 lib64/libc-2.3.5.so lib64/libuuid.so.1.2 lib/ld-2.3.5.so lib/libc-2.3.5.so lib/libselinux.so.1



Driver modules: ide-disk sd_mod amd74xx sata_nv processor thermal fan
Filesystem modules:     reiserfs
Including:      klibc initramfs udev fsck.reiserfs
Bootsplash:     SuSE (1024x768)
34051 blocks
Using grub, re-install of bootloader not required.
und nvidia treiber lässt sich nicht mehr installieren
http://www.linux-club.de/viewtopic.php?t=46705

Werbung:
SP
Member
Member
Beiträge: 206
Registriert: 14. Mär 2004, 09:43

Beitrag von SP » 21. Nov 2005, 22:32

ich würde sagen wenn du den kernel of the day benutzt hast du eine version erwischt in der der nvidia support deaktiviert/nicht vorhanden ist/nicht funktioniert...
Die Optimisten glauben, dass wir auf der besten aller möglichen Welten leben;
Die Pessimisten befürchten, dass das stimmt.

openSUSE 10.3

tux123
Member
Member
Beiträge: 113
Registriert: 11. Mai 2005, 09:25

Beitrag von tux123 » 21. Nov 2005, 22:42

das ist der dritte versuch diese woche und alle versionen von16-11-05,17-11-05 und die von die von gestern und immer selber meldung :?

Benutzeravatar
haveaniceday
Hacker
Hacker
Beiträge: 775
Registriert: 7. Jul 2004, 14:09
Wohnort: Paderborn

Beitrag von haveaniceday » 22. Nov 2005, 09:50

Ich tippe mal darauf, dass du die Howtos nicht richtig gelesen hast.

- kernel installieren
- kernel sourcen installieren
- mit neuem Kernel booten
- cd /usr/src/linux
- make cloneconfig
- make modules_prepare
- init 3
- auf Konsole: bash ./NVI*..

sollte aus meiner Sicht gehen.

Haveaniceday

PS: Hab es nicht mit .14.* ausprobiert. Bei .13.* ging das prima.
Es könnte aber auch sein, das sich kernelinterna geändert haben.
Dann müsste NVIDIA nachbessern...
The gates in my computer are AND,OR and NOT, not Bill.
Wer lesen kann und dann noch die Suche bedienen kann ist klar im Vorteil 8)

tux123
Member
Member
Beiträge: 113
Registriert: 11. Mai 2005, 09:25

Beitrag von tux123 » 22. Nov 2005, 13:45

Code: Alles auswählen

Ich tippe mal darauf, dass du die Howtos nicht richtig gelesen hast.

- kernel installieren
- kernel sourcen installieren
- mit neuem Kernel booten
- cd /usr/src/linux
- make cloneconfig
- make modules_prepare
- init 3
- auf Konsole: bash ./NVI*..

sollte aus meiner Sicht gehen.

Haveaniceday

PS: Hab es nicht mit .14.* ausprobiert. Bei .13.* ging das prima.
Es könnte aber auch sein, das sich kernelinterna geändert haben.
Dann müsste NVIDIA nachbessern...
das habe ich schon gemacht und klappt mit 2.6.13.15 und altere kernel aber die 2.6.14.2 geht nicht
auch wenn ich das kernel selbst kompiliert habe aber immer selber meldung beim installation
ich glaube es liegt am neue kernel :!:

Benutzeravatar
haveaniceday
Hacker
Hacker
Beiträge: 775
Registriert: 7. Jul 2004, 14:09
Wohnort: Paderborn

Beitrag von haveaniceday » 22. Nov 2005, 15:31

rpm -q -l kernel-smp | grep nvi
bzw. nicht smp:
rpm -q -l kernel | grep nvi

Zeigt bei mir:

Code: Alles auswählen

/lib/modules/2.6.13-SL100_BRANCH_20051028105447-smp/kernel/drivers/char/agp/nvidia-agp.ko
/lib/modules/2.6.13-SL100_BRANCH_20051028105447-smp/kernel/drivers/video/nvidia
/lib/modules/2.6.13-SL100_BRANCH_20051028105447-smp/kernel/drivers/video/nvidia/nvidiafb.ko
/lib/modules/precompiled/2.6.13-SL100_BRANCH_20051028105447-smp/nvidia
/lib/modules/precompiled/2.6.13-SL100_BRANCH_20051028105447-smp/nvidia/gfx
/lib/modules/precompiled/2.6.13-SL100_BRANCH_20051028105447-smp/nvidia/gfx/nv-linux.o-1.0-7676.pre
/lib/modules/scripts/nvidia
/lib/modules/scripts/nvidia/2.6.13-SL100_BRANCH_20051028105447-smp
/lib/modules/scripts/nvidia/2.6.13-SL100_BRANCH_20051028105447-smp/nv-linux.o-1.0-7676
Wenn bei dir nichts gefunden wird sind die treiber vielleicht aus dem kotd verschwunden.
Oder lassen sich zur Zeit nicht übersetzen/nutzen.

Ich würde in dieser Reihenfolge graben:
http://www.opensuse.org/Submit_a_bug#Searching_for_Bugs
https://bugzilla.novell.com/buglist.cgi ... alue0-0-0=
https://bugzilla.novell.com/buglist.cgi ... alue0-0-0=

http://www.nvnews.net/vbulletin/forumdisplay.php?f=27
http://www.nvnews.net/vbulletin/forumdisplay.php?f=14

Oder einfach nur warten...

Haveaniceday
The gates in my computer are AND,OR and NOT, not Bill.
Wer lesen kann und dann noch die Suche bedienen kann ist klar im Vorteil 8)

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast